Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.connector
Class DocumentRecord

    java.lang.Object
      com.bea.document.internal.Document
          com.bea.connector.DocumentRecord

All Implemented Interfaces:
  Cloneable, com.bea.document.IDocument, javax.resource.cci.Record, Serializable

Direct Known Subclasses:
  DocumentDefinitionRecord

public class DocumentRecord
extends com.bea.document.internal.Document
implements javax.resource.cci.Record

This class allows Documents to implement the javax.resource.cci.Record interface.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.bea.document.internal.Document
`m_verbose`

Constructor Summary
`DocumentRecord()` Default Document Record constructor.
`DocumentRecord(Document doc)` Construct Document Record from a DOM Document.
`DocumentRecord(Element element)` Construct Document Record from an Element.
`DocumentRecord(com.bea.document.IDocument doc)` Construct Document Record from IDocument.
`DocumentRecord(InputSource inputSource)` Construct Document Record from an SAX InputSource.
`DocumentRecord(String xml)` Construct Document Record from a XML String.

Method Summary
`Object` | `clone()` Clone this Document Record.
`boolean` | `equals(Object other)` Compares Document Record with pass Object.
`String` | `getRecordName()` Get Document Record's name.
`String` | `getRecordShortDescription()` Get Document Record's short description.
`int` | `hashCode()` Get Document Record's hash code.
`void` | `setRecordName(String name)` Set the Document Record's name.
`void` | `setRecordShortDescription(String description)` Set the Document Record's short description.
`String` | `toString()`

Methods inherited from class com.bea.document.internal.Document
`addAttribute, addAttribute, addDocumentData, addElement, addElement, addNode, ensureNamespaceDeclaration, ensureNamespaceDeclaration, ensureNoNamespaceDeclarations, ensureNoNamespaceDeclarations, forceParsed, fromXML, fromXML, fromXML, fromXML, fromXML, fromXML, generateNamespacePrefix, generateNamespacePrefix, getBooleanFrom, getBooleanFromFirst, getDateFrom, getDateFromFirst, getDateTimeFrom, getDateTimeFromFirst, getDocument, getDocumentData, getDocumentDefinition, getDocumentElement, getDocumentTypeName, getDoubleFrom, getDoubleFromFirst, getEncoding, getEntityResolver, getFirstNamespacePrefix, getGlobalAttributeNames, getGlobalElementNames, getIntegerFrom, getIntegerFromFirst, getPublicID, getRawXML, getRootElementName, getStringFrom, getStringFromFirst, getSubDocuments, getSystemID, getTimeFrom, getTimeFromFirst, getValidating, getVerbose, init, isParsed, main, removeDocumentData, resetContextNode, serializeDocumentType, serializeDocumentType, serializeElement, serializeElement, serializeElement, setBooleanIn, setBooleanInFirst, setContextNode, setContextNode, setContextNode, setDateIn, setDateInFirst, setDateTimeIn, setDateTimeInFirst, setDocumentData, setDocumentDefinition, setDocumentElement, setDocumentImp, setDocumentTypeName, setDoubleIn, setDoubleInFirst, setEncoding, setEntityResolver, setIntegerIn, setIntegerInFirst, setPerThreadEntityResolver, setPublicID, setStringIn, setStringInFirst, setSystemID, setTimeIn, setTimeInFirst, setupForParse, setValidating, setVerbose, toByteXML, toXML, toXML, toXML`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DocumentRecord

    public DocumentRecord()

  Default Document Record constructor.

### DocumentRecord

    public DocumentRecord(String xml)
                   throws com.bea.document.DocumentParseException,
                          com.bea.document.DocumentException

  Construct Document Record from a XML String.

Parameters:
  `xml` - - the XML String.

### DocumentRecord

    public DocumentRecord(Element element)

  Construct Document Record from an Element.

Parameters:
  `element` - - the Element.

### DocumentRecord

    public DocumentRecord(Document doc)

  Construct Document Record from a DOM Document.

Parameters:
  `doc` - - the DOM Document.

### DocumentRecord

    public DocumentRecord(InputSource inputSource)
                   throws com.bea.document.DocumentParseException,
                          com.bea.document.DocumentException

  Construct Document Record from an SAX InputSource.

Parameters:
  `inputSource` - - the SAX InputSource.

### DocumentRecord

    public DocumentRecord(com.bea.document.IDocument doc)

  Construct Document Record from IDocument.

Parameters:
  `doc` - - an IDocument.

Method Detail

### clone

    public Object clone()

  Clone this Document Record.

  Specified by:
    `clone` in interface `javax.resource.cci.Record`
  Returns:
    - the cloned Document Record.

### equals

    public boolean equals(Object other)

  Compares Document Record with pass Object.

  Specified by:
    `equals` in interface `javax.resource.cci.Record`
  Parameters:
    `other` - - the object to compare.
  Returns:
    - true if Object is this; false otherwise.

### getRecordName

    public String getRecordName()

  Get Document Record's name.

  Specified by:
    `getRecordName` in interface `javax.resource.cci.Record`
  Returns:
    - the name.

### getRecordShortDescription

    public String getRecordShortDescription()

  Get Document Record's short description.

  Specified by:
    `getRecordShortDescription` in interface `javax.resource.cci.Record`
  Returns:
    - the short description.

### hashCode

    public int hashCode()

  Get Document Record's hash code.

  Specified by:
    `hashCode` in interface `javax.resource.cci.Record`
  Returns:
    - the hash code.

### setRecordName

    public void setRecordName(String name)

  Set the Document Record's name.

  Specified by:
    `setRecordName` in interface `javax.resource.cci.Record`
  Parameters:
    `name` - - the name.

### setRecordShortDescription

    public void setRecordShortDescription(String description)

  Set the Document Record's short description.

  Specified by:
    `setRecordShortDescription` in interface `javax.resource.cci.Record`
  Parameters:
    `description` - - the short description.

### toString

    public String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD